### Virtual Method

# Atk Action get_keybinding

#### Declaration [src]

    const gchar*
    get_keybinding (
      AtkAction* action,
      gint i
    )

#### Description [src]

Gets the keybinding which can be used to activate this action, if one exists. The string returned should contain localized, human-readable, key sequences as they would appear when displayed on screen. It must be in the format “mnemonic;sequence;shortcut”.

- The mnemonic key activates the object if it is presently enabled onscreen. This typically corresponds to the underlined letter within the widget. Example: “n” in a traditional “New…” menu item or the “a” in “Apply” for a button.
- The sequence is the full list of keys which invoke the action even if the relevant element is not currently shown on screen. For instance, for a menu item the sequence is the keybindings used to open the parent menus before invoking. The sequence string is colon-delimited. Example: “Alt+F:N” in a traditional “New…” menu item.
- The shortcut, if it exists, will invoke the same action without showing the component or its enclosing menus or dialogs. Example: “Ctrl+N” in a traditional “New…” menu item.

Example: For a traditional “New…” menu item, the expected return value would be: “N;Alt+F:N;Ctrl+N” for the English locale and “N;Alt+D:N;Strg+N” for the German locale. If, hypothetically, this menu item lacked a mnemonic, it would be represented by “;;Ctrl+N” and “;;Strg+N” respectively.

#### Parameters

`i`

  Type: `gint`

  The action index corresponding to the action to be performed.

#### Return value

Type: `const gchar*`

The keybinding which can be used to activate this action, or `NULL` if there is no keybinding for this action.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.